Subject: Re: [Mingw-users] Re: make: strip command can't find file
From: "Shing-Fat (Fred) Ma" <[email-masked]>
To: Andrew Inggs <[email-masked]>, Danny Smith <[email-masked]>, Dennis McCunney <[email-masked]>, Earnie Boyd <[email-masked]>, Gus Baldauf <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Fri, 09 Nov 2001 23:13:45 -0500

Dear Sirs,

Thank you for your clarifying responses to my question on iverilog 5.0
installation.  For any interested parties that might try this in the
future, I'll just summarize what worked on to some degree:

   * The baseline system is WinME, with cygwin 2.78.2.9 and mingw1.1
   * Ensure that mingw's bin precedes cygwin's bin in bash's $PATH
   * For the "check:" rule in Makefile.in , forward slashes "/" in the filenames
     must be changed to double back slashes "\\" so that make's "sh" sees
     them as "\" and passes it to iverilog

        * iverilog requires this because it
          was compiled under mingw and expects DOS file paths
        * This Makefile.ini modification should precede the "configure" step

   * To pass "make check", I changed all references to hello.vl and sqrt.vl
     to hello.v and sqrt.v, then renamed *.vl files to *.v (can't remember which
     files, but suffice to say all the Makefile's)
   * Use mingw's make for compiling ("make")
   * Use mingw's make for checking ("make check")
   * Use cygwin's make for installation ("make install")

        * Simplest way (to me) is to move mingw's make
          into a subdirectory "safe"

This procedure got me part way so far.  Not only does "make check"
pass, but from the bash prompt, I can issue the command for the
"check:" rule and get back "Hello world".  I am still wrestling with
getting it to work on when hello.v is outside of the source directory,
and without all those command line options in the "check:" command.

However, the topic has changed such the the subject line is no
longer accurate, so I hope you will bear with me as I post another
posting with details of the error messages, and with much of the
above points repeated.

Once again, thanks for your responses that helped me get this far.

Fred

--------------------------------------------------------------------------
Fred Ma
Department of Electronics
Carleton University, Mackenzie Building
1125 Colonel By Drive
Ottawa, Ontario
Canada     K1S 5B6
[email-masked]
==========================================================================

Andrew Inggs wrote:

> Fred
>
> This is what I do:
>
>  o Install Cygwin
>  o Install Mingw at C:\mingw
>  o Delete (or rename) Mingw's make at C:\mingw\bin\make.exe
>  o Run Cygwin (get to bash) and prefix Mingw's bin to the path:
>    $ export PATH=/cygdrive/c/mingw/bin:$PATH
>
> Now you should be able to run configure (you'll probably also
> need to use the --host=mingw32 option with configure).
>
> You might find the information about how to compile Jikes with
> Cygwin/Mingw useful:
> http://www-124.ibm.com/developerworks/oss/jikes/faq/dev-win32.shtml
>
> HTH,
>   Andrew
>
> -----Original Message-----
> From: Shing-Fat (Fred) Ma [mailto:[email-masked]]
> Sent: 09 November 2001 16:57
> To: Danny Smith
> Cc: MU List; [email-masked]; [email-masked]
> Subject: Re: [Mingw-users] Re: make: strip command can't find file
>
> Actually, my first attempt was with the cygwin environment, with no
> mingw.  It compiled and installed OK, but didn't work,.
> I was advised to using mingw.  That's how I got here.
> Apparently, mingw uses windows DLL while cygwin
> uses.....something else.  I'm a hardware guy (a wannabee, actually!)
> learning all this stuff to get CAD tools on my laptop, so I can't speak
> informatively just yet.  Been doing lots of surfing and reading though.
> I will keep your suggestion in mind about Nmake, but having limited
> time to absorb all this, I'll probably be looking into that a bit later
> (my own problem, of course).
>
> The really perplexing thing is that it fails even if full dos file path
> is used (and provided to the install command).  I wonder if "./" in
> "./ivl.exe" is being translated into a cygwin path.  Anyway gonna
> keep looking for info and trying different ways whenever I can
> until something works.
>
> Fred
>
> --------------------------------------------------------------------------
> Fred Ma
> Department of Electronics
> Carleton University, Mackenzie Building
> 1125 Colonel By Drive
> Ottawa, Ontario
> Canada     K1S 5B6
> [email-masked]
> ==========================================================================
>
> Danny Smith wrote:
>
> > > >      /usr/bin/install -c ./ivl.exe /usr/local/lib/ivl/ivl.exe
> > > >      process_begin: CreateProcess((null), /usr/bin/install -c
> ./ivl.exe
> > > /usr/local/lib/ivl/ivl.exe, ...) failed.
> > > >      make (e=2): The system cannot find the file specified.
> >
> > I've had similar problems with mingw version of make executing cygwin
> > install, so what I do is use cygwin make when I use cygwin install.  There
> > are a few bugs in mingw release of make, especially on W9x and WinME.  The
> > source is available so feel free to fix them.  Cygwin version of make is
> > more robust when calling cygwin tools.  Nmake is more robust when calling
> > MS tools.
> >
> > Danny
> >
> > http://briefcase.yahoo.com.au - Yahoo! Briefcase
> > - Manage your files online.
>
> _______________________________________________
> MinGW-users mailing list
> [email-masked]
>
> You may change your MinGW Account Options at:
> https://lists.sourceforge.net/lists/listinfo/mingw-users

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/